    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.security.acl.Permission

public interface Permission

This interface represents a permission, such as that used to grant a particular type of access to a resource.

##

equals(Object)
  Returns true if the object passed matches the permission represented in this interface.
toString()
  Prints a string representation of this permission.

##

equals

     public abstract boolean equals(Object another)

  Returns true if the object passed matches the permission represented in this interface.

  Parameters:
    another - the Permission object to compare with.
  Returns:
    true if the Permission objects are equal, false otherwise
  Overrides:
    equals in class Object

toString

     public abstract String toString()

  Prints a string representation of this permission.

  Returns:
    the string representation of the permission.
  Overrides:
    toString in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.